# Generated from inspec_objects-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name inspec_objects

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: InSpec Objects library
License: Apache-2.0
URL: https://github.com/inspec/inspec-objects
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Library that provides an API for programmatically creating InSpec profiles.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/inspec-objects.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.2.0-1
- Initial package
